//
// bignum_common.cpp
//
// Bill Seymour, 2024-02-02
//
// Copyright Bill Seymour 2024.
// Distributed under the Boost Software License, Version 1.0.
// (See accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)
//
// This file contains definitions of non-inline functions that are common to the
// integer, decimal and rational classes.  At present, it's just one function.
//

#include "bignum_common.hpp"

#include <string>
#include <stdexcept>

namespace bignum {
namespace types {

[[noreturn]] void throw_overflow(const char* from, const char* to)
{
    std::string msg("Overflow converting ");
    msg.append(from);
    msg.append(" to ");
    msg.append(to);
    throw std::overflow_error(msg);
}

} } // namespace bignum::types

// End of bignum_common.cpp
